Bug 1116665 (CVE-2014-3540) - CVE-2014-3540 commons-beanutils: 'class' property is exposed, potentially leading to RCE
Summary: CVE-2014-3540 commons-beanutils: 'class' property is exposed, potentially lea...
Status: CLOSED NOTABUG
Alias: CVE-2014-3540
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140501,repo...
Keywords: Security
Depends On:
Blocks: 1116671
TreeView+ depends on / blocked
 
Reported: 2014-07-07 02:03 UTC by David Jorm
Modified: 2014-10-21 00:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-09 07:08:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Jorm 2014-07-07 02:03:37 UTC
It was found that commons-beanutils exposes the class property by default, with no mechanism to disable access to it. If a framework built on commons-beanutils does not otherwise suppress access to the class property, then a remote attacker could use this flaw to manipulate the ClassLoader used by the underlying container. This could lead to remote code execution under certain conditions.

Comment 1 David Jorm 2014-07-07 02:30:32 UTC
Statement:

MITRE has rejected this CVE ID, favoring the use of CVE-2014-0114.

This flaw was the root cause of CVE-2014-0114, a flaw in Apache Struts 1 that could lead to unauthenticated remote code execution under certains conditions. Other frameworks built on commons-beanutils, such as Apache Stripes, are likely to expose similar issues. commons-beanutils 1.9.2 has now shipped, including a specialized BeanIntrospector implementation that allows suppressing properties. Frameworks built on commons-beantutils can make use of the new pre-configured SuppressPropertiesBeanIntrospector to address this flaw.

Comment 3 David Jorm 2014-07-09 07:09:26 UTC
External References:

http://openwall.com/lists/oss-security/2014/07/08/1


Note You need to log in before you can comment on or make changes to this bug.